Bug 505639 - bad /dev/cdrom symlink during installation
Summary: bad /dev/cdrom symlink during installation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 506020 506175 511006 517661 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-12 17:33 UTC by bodhi.zazen
Modified: 2010-06-28 12:56 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 12:56:38 UTC


Attachments (Terms of Use)

Description bodhi.zazen 2009-06-12 17:33:54 UTC
Description of problem: DVD installation fails to find packages


Version-Release number of selected component (if applicable): Fedora 11


How reproducible: Boot DVD , start anaconda, just after the grub page, DVD hangs searching for a package list.


Steps to Reproduce:
1.
2.
3.

See also : http://forums.fedoraforum.org/showthread.php?t=223240
  
Actual results: Install hangs.


Expected results: Package selection -> Fedora installs.


Additional info:

Fix / work around :

Boot DVD
Drop to shell (Ctrl-alt-F2)
Make a link : ln -s /dev/sr0 /dev/cdrom
Proceed with install.

Comment 1 Chris Lumens 2009-06-29 15:47:42 UTC
I believe udev is responsible for making the /dev/cdrom symlink.  Not sure why you either don't have one or it's incorrect.

Comment 2 Harald Hoyer 2009-06-30 08:47:33 UTC
/lib/udev/rules.d/75-cd-aliases-generator.rules generates /etc/udev/rules.d/70-persistent-cd.rules if root is writable, else it generates /dev/.udev/tmp-rules--70-persistent-cd.rules , which will be moved to /etc/udev/rules.d/ by the initscript udev-post.

Works for me.

Comment 3 Chris Lumens 2009-06-30 15:39:30 UTC
75-cd-aliases-generator.rules cannot run, because /bin/sleep does not exist, because anaconda puts it in /usr/bin/sleep, because it's a symlink to busybox.  A+.

Comment 4 Chris Lumens 2009-07-06 21:32:57 UTC
This should be fixed in anaconda-12.2, which will be out in a few days.  Thanks for the bug report.

Comment 5 bodhi.zazen 2009-07-13 06:35:47 UTC
Thank you Chris Lumens

Comment 6 Chris Lumens 2009-07-17 19:30:41 UTC
*** Bug 506020 has been marked as a duplicate of this bug. ***

Comment 7 Dave Hodson 2009-07-17 20:10:01 UTC
(In reply to comment #6)
> *** Bug 506020 has been marked as a duplicate of this bug. ***  

Are you sure that is the case? The workaround does not work for me!

Comment 8 Dave Hodson 2009-07-19 15:18:05 UTC
I have posted the following to my original bug report (506020) which has been closed.

I have copied the DVD contents to a local web server and re-attempted the installation with the "askmethod" option for URL install etc.
I can confirm that an IP address was obtained by dhcp and that the following files were downloaded OK:-

192.168.1.31 - - [19/Jul/2009:15:34:14 +0100] "GET /fedora/images/updates.img HTTP/1.0" 404 340 "-" "anaconda/11.5.0.59"
192.168.1.31 - - [19/Jul/2009:15:34:14 +0100] "GET /fedora/images/product.img HTTP/1.0" 404 340 "-" "anaconda/11.5.0.59"
192.168.1.31 - - [19/Jul/2009:15:34:14 +0100] "GET /fedora/images/install.img HTTP/1.0" 200 116039680 "-" "anaconda/11.5.0.59"
192.168.1.31 - - [19/Jul/2009:15:40:04 +0100] "GET /fedora/.treeinfo HTTP/1.1" 404 331 "-" "urlgrabber/3.0.0"
192.168.1.31 - - [19/Jul/2009:15:40:04 +0100] "GET /fedora/repodata/repomd.xml HTTP/1.1" 200 3746 "-" "Fedora (anaconda)/11"
192.168.1.31 - - [19/Jul/2009:15:40:04 +0100] "GET /fedora/repodata/bc8233d13d02831b5e72d54eb113c8374d699942e8e8189d823f96b7b352f5be-primary.sqlite.bz2 HTTP/1.1" 200 1739219 "-" "Fedora (anaconda)/11"
192.168.1.31 - - [19/Jul/2009:15:40:06 +0100] "GET /fedora/repodata/4254aba126bd4df25bc40ebf1db3427b5726626f44286fdb0bced49dfdcec70b-Fedora-11-comps.xml HTTP/1.1" 200 1633893 "-" "Fedora (anaconda)/11"

The installation progressed as in #1 above and failed in the same manner with the last line of the syslog being:-

<4>JBD: barrier-based sync failed on dm-0:8 - disabling barriers

Comment 13 Chris Lumens 2009-08-03 19:54:14 UTC
Confirmed that there's a /dev/cdrom symlink in today's rawhide.  This bug is worth retesting when F12 Alpha comes out.

Comment 14 Chris Lumens 2009-09-01 16:11:11 UTC
*** Bug 517661 has been marked as a duplicate of this bug. ***

Comment 15 Chris Lumens 2009-09-04 17:24:11 UTC
*** Bug 511006 has been marked as a duplicate of this bug. ***

Comment 16 Chris Lumens 2009-09-04 20:57:16 UTC
*** Bug 506175 has been marked as a duplicate of this bug. ***

Comment 17 Alex Kanavin 2009-11-17 17:58:47 UTC
I reported bug 506175 - that problem is gone in F12 final.

Comment 18 Need Real Name 2009-11-19 06:50:13 UTC
I disagree. EXACT same problem occurs in F12 final.
Installation hangs.
Console shows /dev/cdrom doesn't exist.
BTW, I am installing into VMWARE where the cdrom is pointed to the DVD iso (i.e. the cdrom driver acts as if the iso is a physical cdrom).

Seems to me this is not a low priority/medium severity bug - particularly given it's persistence and the fact that it makes installation impossible and hence all of Fedora unusable!!! (aside from the incredible waste of time in constantly restarting the installation from scratch!)

Also, networking (other than localhost) doesn't seem to be set up though it did set up automagically when I played with the LiveCD.

Comment 19 Need Real Name 2009-11-19 07:22:05 UTC
Just to be clear, my symptoms are most similar to the supposedly duplicate bug of 506020. So, even if the bug on this page was fixed, perhaps the other one still exists and is not truly a duplicate.

Also, the /dev/cdrom link exists when I run the LiveCD so it must be doing something different.

And making the link here seems to have fixed the problem.

Comment 20 Bug Zapper 2010-04-27 14:50:08 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 21 Bug Zapper 2010-06-28 12:56:38 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.